package ch.epfl.lpd.ids.client;

/**
 * Interface used to retrieve specific information from a chat client.
 * @author baehni
 */
public interface IChatClientProperties {
    
    /**
     * Gets the username of the chat client.
     * @return The chat client username.
     */
    public String getUsername();
    
    /**
     * Gets the name of the chat room the client is currently connected to.
     * @return The name of the chat room the client is connected to.
     */
    public String getGroup();
    
}
