package ch.epfl.lpd.ids.exceptions;

/**
 * Exception class that expresses that a message is too big.
 * @author baehni
 */
public class MessageTooBigException extends Exception{
    
    /** Creates a new instance of MessageTooBigException. */
    public MessageTooBigException() {
        super();
    }
    
    /**
     * Creates a new instance of the exception.
     * @param msg The exception msg
     */
    public MessageTooBigException(String msg) {
        super(msg);
    }
    
    /**
     * Creates a new instance of the exception.
     * @param msg The exception msg
     * @param cause The cause of the exception.
     */
    public MessageTooBigException(String msg, Throwable cause) {
        super(msg, cause);
    }
    
    /**
     * Creates a new instance of the exception.
     * @param cause The cause of the exception.
     */    
    public MessageTooBigException(Throwable cause) {
        super(cause);
    }
    
}
