package ch.epfl.lpd.ids.fd;

/**
 * This interface represents a callback for being notified by the failure detector
 * when the list of active chat clients changes. 
 * @author Sebastien Baehni
 */
public interface IFailureDetectorCallBack {

    /**
     * Method called when (a) new user(s) (dis)connect(s) to this chat room.
     * This method is called by the failure detector.
     * @param users The array containing the usernames of the clients 
     * connected to this chat room.
     */ 
    public void newUsers(String[] users);
    
}
