package ch.epfl.lpd.ids.fd;

/**
 * Interface representing a callback that is notified by the failure detector
 * task when the list of active clients changes. This callback is primarily used
 * by the failure detector itself to be notified by its task. Other classes should
 * implements the {@link ch.epfl.lpd.ids.fd.IFailureDetectorCallBack} interface
 * to receive the notification of the failure detector.
 * @author baehni
 */
public interface IFailureDetectorTaskCallBack {
    /**
     * Called by the task if one or several chat clients were detected to be 
     * crashed. In turn this method notifies the registered callbacks. 
     */
    public void changed();
}
