package ch.epfl.lpd.ids.membership;

import ch.epfl.lpd.ids.client.IChatClientProperties;

/**
 * Specification of the membership manager. We should be able to start and stop
 * the membership as well as set several properties from the client we must ensure
 * the membership. 
 * @author Sebastien Baehni
 */
public interface IMembershipManager {
    
    /**
     * Starts the membership.
     * @param timeout The period after which the alive msg is sent.
     */
    public void startMembership(long timeout);
    /*
     * Stops the membership.
     */
    public void stopMembership();
    /**
     * Sets the client properties.
     * @param iccp The client properties can be retrieved directly from the 
     * {@link ch.epfl.lpd.ids.client.IChatClientProperties} class.
     */
    public void setClientProperties(IChatClientProperties iccp);
    
    
}
