package ch.epfl.lpd.ids.network;

import ch.epfl.lpd.ids.serialization.IMessage;

/**
 * Interface representing a callback which handle() method is called when a new
 * message is received by the multicast layer.
 * @author Sebastien Baehni
 */
public interface IMulticastCallBack {
    
    /**
     * Method called when a new message is received by the multicast layer.
     * @param msg The {@link ch.epfl.lpd.ids.serialization.IMessage} received.
     */
    public void handle(IMessage msg);
    
}
