package ch.epfl.lpd.ids.rmulticast;

import ch.epfl.lpd.ids.serialization.IMessage;

/**
 * Interface representing the callback that is notified once when a new message is received 
 * (this corresponds to the rdeliver).
 * @author Sebastien Baehni
 */
public interface IReliableMulticastCallBack {
    
    /**
     * Notifies the registered callbacks once when a new message is received.
     * @param msg The {@link ch.epfl.lpd.ids.serialization.IMessage} received.
     */
    public void rdeliver(IMessage msg);
    
}
