package ch.epfl.lpd.ids.serialization;

/**
 * Represents the callback that need to be notified by the dispatcher when 
 * new messages matching the client preferences are received.
 * @author Sebastien Baehni
 */
public interface IDispatcherCallBack {
    
    /**
     * Method called when a new message is received.
     * @param msg The {@link ch.epfl.lpd.ids.serialization.IMessage} received.
     */
    public void handle(IMessage msg);
    
}
