package ch.epfl.lpd.ids.utils;

import ch.epfl.lpd.ids.client.IChatClientProperties;
import ch.epfl.lpd.ids.client.IChatClient;

/**
 * Thread called when a Ctrl-C is performed or a System.exit().
 * This thread ensures that the client is disconnected from the server
 * correctly.
 * @author Sebastien Baehni
 */
public class ClientShutdownHook implements Runnable{
    
    /**
     * The client properties
     */
    IChatClientProperties iccp;
    
    /**
     * The client to disconnect.
     */
    IChatClient icc;
    
    /** Creates a new instance of ClientShutdownHook.
     * We simply initialize the client structure with the one
     * given in parameter.
     * @param icc The client to disconnect.
     * @param iccp The client properties.
     */
    public ClientShutdownHook(IChatClient icc, IChatClientProperties iccp) {
        this.icc = icc;
        this.iccp = iccp;
    }
    
    /**
     * We disconnect all the chat clients.
     */
    public void run() {       
        this.icc.disconnect(this.iccp.getUsername());
        System.out.println("The client has been correctly disconnected.");
    }
    
}
