package ch.epfl.lpd.ids.utils;

/**
 * Static class containing the different constants used in our chat application.
 * @author Sebastien Baehni
 */
public class Constants {
    
    /**
     * The maximal length of a UPD message.
     */
    public final static int MAX_MSG_SIZE = 60000;
    
    /**
     * The header of the alive message.
     */
    public final static String ALIVE_MSG = "ALIVE";
    
    /**
     * The header of the data message.
     */
    public final static String DATA_MSG = "DATA";
    
    /**
     * The header of the ack message.
     */
    public final static String ACK_MSG = "ACK";
    
    /**
     * The header of the connection message.
     */
    public final static String CONNECTION_MSG = "CONNECTION";
    
    /**
     * The header of the disconnection message.
     */
    public final static String DISCONNECTION_MSG = "DISCONNECTION";
    
    /**
     * The timeout between two dissemination of alive messages.
     */
    public final static long ALIVE_TIMEOUT = 5000;
    
    /**
     * The timeout between two messages re-dissemination.
     */
    public final static long ACK_TIMEOUT = 3000;
    
    /**
     * The timeout after which a client is considered to be crashed.
     */
    public final static long FD_TIMEOUT = 15000;
    
    /**
     * The upper time we wait until we send an ack.
     */
    public final static float RANDOM = 1000;
    
}
