package ch.epfl.lpd.ids.utils;

import java.security.SecureRandom;

/**
 * Static class used to get new UIDs for the messages as well a random float
 * numbers.
 * @author Sebastien Baehni
 */
public class Utils {
    
    /**
     * The secure random to get random numbers.
     */
    private static SecureRandom sr = new SecureRandom();
    
    /**
     * Returns a new random long number as a unique identifier for the 
     * messages.
     * @return A new random long.
     */
    public static long getUID() {
        return sr.nextLong();
    }
    
    /**
     * Return a new random float number between 0.0 and 1.0.
     * @return A new random float number.
     */
    public static float nextFloat() {
        return sr.nextFloat();
    }
    
}
